Skip to content
Start here

Get `PhishGuard` reports

GET/accounts/{account_id}/email-security/phishguard/reports

Retrieves PhishGuard reports showing phishing attempts and suspicious email patterns detected.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: WriteCloud Email Security: Read
Path ParametersExpand Collapse
account_id: optional string

Account Identifier

maxLength32
minLength32
Query ParametersExpand Collapse
end: optional string

The end of the search date range (RFC3339 format).

formatdate-time
from_date: optional string
formatdate
start: optional string

The beginning of the search date range (RFC3339 format).

formatdate-time
to_date: optional string
formatdate
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: array of object { id, content, created_at, 7 more }
id: number
formatint32
content: string
created_at: string
formatdate-time
disposition: "MALICIOUS" or "MALICIOUS-BEC" or "SUSPICIOUS" or 7 more
One of the following:
"MALICIOUS"
"MALICIOUS-BEC"
"SUSPICIOUS"
"SPOOF"
"SPAM"
"BULK"
"ENCRYPTED"
"EXTERNAL"
"UNKNOWN"
"NONE"
fields: object { to, ts, from, postfix_id }
to: array of string
ts: string
formatdate-time
from: optional string
postfix_id: optional string
priority: string
title: string
ts: string
formatdate-time
updated_at: string
formatdate-time
tags: optional array of object { category, value }
category: string
value: string
success: boolean

Get `PhishGuard` reports

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/email-security/phishguard/reports \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 0,
      "content": "content",
      "created_at": "2019-12-27T18:11:19.117Z",
      "disposition": "MALICIOUS",
      "fields": {
        "to": [
          "string"
        ],
        "ts": "2019-12-27T18:11:19.117Z",
        "from": "from",
        "postfix_id": "postfix_id"
      },
      "priority": "priority",
      "title": "title",
      "ts": "2019-12-27T18:11:19.117Z",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "tags": [
        {
          "category": "category",
          "value": "value"
        }
      ]
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": 0,
      "content": "content",
      "created_at": "2019-12-27T18:11:19.117Z",
      "disposition": "MALICIOUS",
      "fields": {
        "to": [
          "string"
        ],
        "ts": "2019-12-27T18:11:19.117Z",
        "from": "from",
        "postfix_id": "postfix_id"
      },
      "priority": "priority",
      "title": "title",
      "ts": "2019-12-27T18:11:19.117Z",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "tags": [
        {
          "category": "category",
          "value": "value"
        }
      ]
    }
  ],
  "success": true
}